diff --git a/core/base/src/TStyle.cxx b/core/base/src/TStyle.cxx
index f79bbac..cb49b8a 100644
--- a/core/base/src/TStyle.cxx
+++ b/core/base/src/TStyle.cxx
@@ -384,6 +384,14 @@ void TStyle::Copy(TObject &obj) const
    ((TStyle&)obj).fStatFontSize   = fStatFontSize;
    ((TStyle&)obj).fStatStyle      = fStatStyle;
    ((TStyle&)obj).fStatFormat     = fStatFormat;
+   ((TStyle&)obj).fStatLabelEntries   = fStatLabelEntries  ;
+   ((TStyle&)obj).fStatLabelMean      = fStatLabelMean     ;
+   ((TStyle&)obj).fStatLabelRMS       = fStatLabelRMS      ;
+   ((TStyle&)obj).fStatLabelUnderflow = fStatLabelUnderflow;
+   ((TStyle&)obj).fStatLabelOverflow  = fStatLabelOverflow ;
+   ((TStyle&)obj).fStatLabelIntegral  = fStatLabelIntegral ;
+   ((TStyle&)obj).fStatLabelSkewness  = fStatLabelSkewness ;
+   ((TStyle&)obj).fStatLabelKurtosis  = fStatLabelKurtosis ;
    ((TStyle&)obj).fStatW          = fStatW;
    ((TStyle&)obj).fStatH          = fStatH ;
    ((TStyle&)obj).fStatX          = fStatX;
@@ -514,6 +522,14 @@ void TStyle::Reset(Option_t *opt)
    fStatX          = 0.98;
    fStatY          = 0.995;
    SetStatFormat();
+   SetStatLabelEntries  ();
+   SetStatLabelMean     ();
+   SetStatLabelRMS      ();
+   SetStatLabelUnderflow();
+   SetStatLabelOverflow ();
+   SetStatLabelIntegral ();
+   SetStatLabelSkewness ();
+   SetStatLabelKurtosis ();
    SetFitFormat();
    SetPaintTextFormat();
    fTitleAlign     = 13;
@@ -1709,6 +1725,14 @@ void TStyle::SavePrimitive(std::ostream &out, Option_t * /*= ""*/)
    out<<"   "<<"tmpStyle->SetStatStyle("      <<GetStatStyle()      <<");"<<std::endl;
    out<<"   "<<"tmpStyle->SetStatFormat("     <<quote << GetStatFormat()
                                             <<quote               <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatLabelEntries  ("   <<quote << GetStatLabelEntries  () <<quote <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatLabelMean     ("   <<quote << GetStatLabelMean     () <<quote <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatLabelRMS      ("   <<quote << GetStatLabelRMS      () <<quote <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatLabelUnderflow("   <<quote << GetStatLabelUnderflow() <<quote <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatLabelOverflow ("   <<quote << GetStatLabelOverflow () <<quote <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatLabelIntegral ("   <<quote << GetStatLabelIntegral () <<quote <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatLabelSkewness ("   <<quote << GetStatLabelSkewness () <<quote <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatLabelKurtosis ("   <<quote << GetStatLabelKurtosis () <<quote <<");"<<std::endl;
    out<<"   "<<"tmpStyle->SetStatX("          <<GetStatX()          <<");"<<std::endl;
    out<<"   "<<"tmpStyle->SetStatY("          <<GetStatY()          <<");"<<std::endl;
    out<<"   "<<"tmpStyle->SetStatW("          <<GetStatW()          <<");"<<std::endl;
